<%@ tag language="java" pageEncoding="UTF-8" %>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>

<%@ attribute name="id" required="true" description="ID of this zoomable image in the page." %>
<%@ attribute name="locator" required="true" type="hu.midori.kosmos.model.ZoomableImageLocator" description="Specifies the URLs for both versions of the image." %>
<%@ attribute name="titleKey" description="Resource bundle key of the title string to display hovering the images." %>

<script src="<c:url value="/pages/scripts/scriptaculous/prototype.js"/>" language="javascript"></script>
<script src="<c:url value="/pages/scripts/scriptaculous/scriptaculous.js?load=effects"/>" language="javascript"></script>
<script src="<c:url value="/pages/scripts/kosmos.js"/>" language="javascript"></script>

<span id="zoomable-<portlet:namespace/>-${id}-lo">
  <a href="javascript:void(0);" onclick="javascript:toggleZoomableImage('zoomable-<portlet:namespace/>-${id}-lo', 'zoomable-<portlet:namespace/>-${id}-hi');">
    <img src="${locator.loresUrl}" title="<fmt:message key="${titleKey}"/>" border="0"/>
  </a>
</span>

<span id="zoomable-<portlet:namespace/>-${id}-hi" style="display: none;">
  <a href="javascript:void(0);" onclick="javascript:toggleZoomableImage('zoomable-<portlet:namespace/>-${id}-lo', 'zoomable-<portlet:namespace/>-${id}-hi');">
    <img src="${locator.hiresUrl}" title="<fmt:message key="${titleKey}"/>" border="0"/>
  </a>
</span>
